AC_DEFUN([AC_SEARCH_ICE],
[
  ac_with_Ice=no
dnl        if test -z "$ICEDIR"; then
dnl           AC_SUBST(ICEDIR, "/usr")
dnl        fi
dnl  ac_Ice_include=$ICEDIR/include
dnl        if test "${build_cpu}" = "x86_64"; then
dnl    ac_Ice_libdir=$ICEDIR/lib64
dnl        else
dnl          ac_Ice_libdir=$ICEDIR/lib
dnl        fi
dnl  ac_Ice_bindir=$ICEDIR/bin

  ac_Ice_libs="-lIce -lIceUtil"

  ac_search_path="$INSROOT $ICEDIR /usr /usr/local /opt /opt/local"
  ac_search_path_slice="$ICEDIR/slice /usr/slice /usr/share/slice /opt/local/share/ice/slice"

  AC_ARG_WITH(Ice,
    AC_HELP_STRING([--with-Ice=DIR], [root directory of Ice installation]),
    ac_with_Ice=$withval
    if test "x${ac_with_Ice}" != xyes && test "x${ac_with_Ice}" != xno; then
      ac_Ice_include="$withval/include"
      ac_Ice_libdir="$withval/lib"
      ac_Ice_bindir="$withval/bin"
    fi
  )

  AC_ARG_WITH([Ice-include-dir],
    AC_HELP_STRING([--with-Ice-include-dir=DIR], [Ice header files are in DIR]),
    ac_with_Ice=$withval
    if test "x${ac_with_Ice}" != xyes && test "x${ac_with_Ice}" != xno; then
      ac_Ice_include="$withval"
    fi
  )
  AC_ARG_WITH([Ice-bin-dir],
    AC_HELP_STRING([--with-Ice-bin-dir=DIR], [Ice utilities such as moc and uic are in DIR]),
    ac_with_Ice=$withval
    if test "x${ac_with_Ice}" != xyes && test "x${ac_with_Ice}" != xno; then
      ac_Ice_bindir="$withval"
    fi
  )
  AC_ARG_WITH([Ice-lib-dir],
    AC_HELP_STRING([--with-Ice-lib-dir=DIR], [The Ice library is in DIR]),
    ac_with_Ice=$withval
    if test "x${ac_with_Ice}" != xyes && test "x${ac_with_Ice}" != xno; then
      ac_Ice_libdir="$withval"
    fi
  )
  AC_ARG_WITH([Ice-slice-dir],
    AC_HELP_STRING([--with-Ice-slice-dir=DIR], [The slIce files are in DIR]),
    ac_with_Ice=$withval
    if test "x${ac_with_Ice}" != xyes && test "x${ac_with_Ice}" != xno; then
      ac_Ice_slice="$withval"
    fi
  )

  if test "x${ac_Ice_libdir}" == "x"; then
    for ac_ice_path_test in $ac_search_path ; do
dnl      AC_MSG_NOTICE(Check for lib path $ac_ice_path_test/lib)
      if test -r "$ac_ice_path_test/lib"; then
         if test "${build_cpu}" = "x86_64"; then
            ls $ac_ice_path_test/lib64/libIce*  >/dev/null 2>&1
            if test $? -eq 0; then
               ac_Ice_libdir="$ac_ice_path_test/lib64"
               break;
            fi
         else
            ls $ac_ice_path_test/lib/libIce*  >/dev/null 2>&1
            if test $? -eq 0; then
dnl                 AC_MSG_NOTICE(Found in $ac_ice_path_test/lib)
                 ac_Ice_libdir="$ac_ice_path_test/lib"
                 break;
            fi
         fi
      fi
    done
  fi

   if test "x${ac_Ice_include}" == "x"; then
    x=`echo $build_os |sed "s/darwin.*/darwin/"`
    for ac_ice_path_test in $ac_search_path ; do
dnl      AC_MSG_NOTICE(Check for include path $ac_ice_path_test/include/Ice/Ice.h)
      if test x$x = "xdarwin" ; then 
	 if test -r "$ac_ice_path_test/include/ice/Ice/Ice.h"; then
         	ac_Ice_include="$ac_ice_path_test/include/ice"
         	break;
      	 fi
      else
         if test -r "$ac_ice_path_test/include/Ice/Ice.h"; then
         	ac_Ice_include="$ac_ice_path_test/include"
         	break;
      	 fi
      fi
    done
   fi

   if test "x${ac_Ice_bindir}" == "x"; then
    for ac_ice_path_test in $ac_search_path ; do
dnl      AC_MSG_NOTICE(Check for bin path $ac_ice_path_test)
      if test -r "$ac_ice_path_test/bin/slice2cpp"; then
         ac_Ice_bindir="$ac_ice_path_test/bin"
         break;
      fi
    done
   fi

   if test "x${ac_Ice_slicedir}" == "x"; then
    for ac_ice_path_test in $ac_search_path_slice; do
dnl      AC_MSG_NOTICE(Check for lib path $ac_ice_path_test)
      if test -d "$ac_ice_path_test"; then
         ac_Ice_slice="$ac_ice_path_test"
         break;
      fi
    done
   fi

  AC_SEARCH_ICE_LOCAL($ac_Ice_libdir, $ac_Ice_include, $ac_Ice_bindir, $ac_Ice_libs, $ac_Ice_slice)
])


# subfunction for easier reuse
AC_DEFUN([AC_SEARCH_ICE_LOCAL],
[
  OLD_LDFLAGS=$LDFLAGS
  OLD_CXXFLAGS=$CXXFLAGS
  OLD_PATH=$PATH

  if test "$1"; then
    LDFLAGS="$LDFLAGS -L$1 $4"
  fi
  if test "$2"; then
    CXXFLAGS="$CXXFLAGS -I$2"
  fi
  if test "$3"; then
    PATH="$3:$PATH"
  fi

  AC_LANG_PUSH(C++)
  AC_MSG_CHECKING(for Ice)
  AC_TRY_LINK([
    #include <Ice/Ice.h>
  ],[
    ;
  ],[
  success=yes
  ],[
  success=no
  ])
  AC_MSG_RESULT($success)
  AC_LANG_POP()

  LDFLAGS=$OLD_LDFLAGS
  CXXFLAGS=$OLD_CXXFLAGS

  if test "x$success" != xyes; then
    AC_MSG_ERROR(Ice not (properly) installed. Get a (free) recent version from: http://www.zeroc.com)
  else
    if test "$1"; then
      AC_SUBST(ICE_LDFLAGS, "-L$1")
    fi
    if test "$2"; then
      AC_SUBST(ICE_CXXFLAGS, "-ftemplate-depth-128 -fPIC -D_REENTRANT -I$2")
    fi
    if test "$4"; then
      AC_SUBST(ICE_LIBS, "$4")
    fi
  fi


# slice2cpp test
  # AC_CHECK_PROG(ac_icebindir, slice2cpp, yes)
  AC_PATH_PROG(ac_icebindir, slice2cpp, no)
  if test "x$ac_icebindir" != xno; then
    AC_SUBST(ICE_SLICE2CPP, "$ac_icebindir")
  else
    AC_MSG_ERROR(Ice not (properly) installed. Get a (free) recent version from: http://www.zeroc.com)
  fi


# slice2py test
  AC_PATH_PROG(ac_icepybindir, slice2py, no)
  if test "x$ac_icebindir" != xno; then
    AC_SUBST(ICE_SLICE2PY, "$ac_icepybindir")
  else
    AC_MSG_ERROR(Ice not (properly) installed. Get a (free) recent version from: http://www.zeroc.com)
  fi

  AC_SUBST(ICE_SLICEFILES, "-I$ac_Ice_slice")
])

