AC_DEFUN([AC_SEARCH_QWT4],
[
     ac_with_Qwt4=no
     ac_search_path="$INSROOT $QT4DIR /usr /usr/local /opt /opt/local"
     ac_search_libs="Qwt qwt qwt-qt4"
     ac_search_include="$INSROOT $QT4DIR /usr/include /usr/local/include /opt/include /opt/local/include  /usr/include/qwt-qt4"

     AC_ARG_WITH(Qwt4,
          AC_HELP_STRING([--with-Qwt4=DIR], [root directory of Qwt4 installation]),
          ac_with_Qwt4=$withval
          if test "x${ac_with_Qwt4}" != xyes && test "x${ac_with_Qwt4}" != xno; then
               ac_Qwt4_include="$withval/include"
               ac_Qwt4_libdir="$withval/lib"
          fi
     )

     AC_ARG_WITH([Qwt4-include-dir],
          AC_HELP_STRING([--with-Qwt4-include-dir=DIR], [Qwt4 header files are in DIR]),
          ac_with_Qwt4=$withval
          if test "x${ac_with_Qwt4}" != xyes && test "x${ac_with_Qwt4}" != xno; then
               ac_Qwt4_include="$withval"
          fi
     )

     AC_ARG_WITH([Qwt4-lib-dir],
          AC_HELP_STRING([--with-Qwt4-lib-dir=DIR], [The Qwt4 library is in DIR]),
          ac_with_Qwt4=$withval
          if test "x${ac_with_Qwt4}" != xyes && test "x${ac_with_Qwt4}" != xno; then
               ac_Qwt4_libdir="$withval"
          fi
     )

  if test "x${ac_Qwt4_libdir}" == "x"; then
    for ac_qt_path_test in $ac_search_path ; do
      if test -r "$ac_qt_path_test/lib"; then
	 for ac_qt_lib_test in $ac_search_libs ; do
         	ls $ac_qt_path_test/lib/lib$ac_qt_lib_test.*  >/dev/null 2>&1
       		if test $? -eq 0; then
            		if test "${build_cpu}" = "x86_64"; then
               			ac_Qwt4_libdir="$ac_qt_path_test/lib64"
            		else
               			ac_Qwt4_libdir="$ac_qt_path_test/lib"
            		fi
			ac_Qwt4_libs=$ac_qt_lib_test
            		break;
         	fi			
	 done
         if test "$ac_Qwt4_libs"; then
            break;
         fi
       fi
    done
  fi

   if test "x${ac_Qwt4_include}" == "x"; then
    for ac_qt_path_test in $ac_search_include ; do
dnl      AC_MSG_NOTICE(Check for lib path $ac_qt_path_test/include/qwt.h)
      if test -r "$ac_qt_path_test/qwt.h"; then
         ac_Qwt4_include="$ac_qt_path_test"
         break;
      fi
    done
   fi

    AC_SEARCH_QWT4_LOCAL($ac_Qwt4_libdir, $ac_Qwt4_include, $ac_Qwt4_libs)
])


# subfunction for easier reuse
AC_DEFUN([AC_SEARCH_QWT4_LOCAL],
[
     OLD_LDFLAGS=$LDFLAGS
     OLD_CXXFLAGS=$CXXFLAGS

     if test "x$QT4_LIBS" == "x"; then
         AC_SEARCH_QT4
     fi

     if test "$1" && test "$3"; then
          LDFLAGS="$LDFLAGS -L$1 -L$QT4_LDFLAGS -l$3 $QT4_LIBS"
     fi
     if test "$2"; then
          CXXFLAGS="$CXXFLAGS -I$2 $QT4_CXXFLAGS"
     fi
     if test "$3"; then
          LDFLAGS="$LDFLAGS -l$3"
     fi

     AC_LANG_PUSH(C++)
     AC_MSG_CHECKING(for Qwt for Qt4 in $1)
     AC_TRY_LINK([
          #include <qwt.h>
     ],[
          ;
     ],[
     success=yes
     ],[
     success=no
     ])
     AC_MSG_RESULT($success)
     AC_LANG_POP()


     LDFLAGS=$OLD_LDFLAGS
     CXXFLAGS=$OLD_CXXFLAGS
     AM_CONDITIONAL(HAVE_QWT4, true)

     if test "x$success" != xyes; then
          AC_MSG_ERROR(Qwt not (properly) installed. Get a (free) recent version from: http://qwt.sourceforge.net/)
     else
          if test "$1"; then
               AC_SUBST(QWT4_LDFLAGS, "-L$1")
          fi
          if test "$2"; then
               AC_SUBST(QWT4_CXXFLAGS, "-I$2")
          fi
	  if test "$3"; then
	       AC_SUBST(QWT4_LIBS, "-l$3")
	  fi
     fi

])
