/***********************************************************************************************/
/******** DANGER !! DANGER !! DANGER !! DO NOT EDIT FILE -- IT WAS GENERATED AUTOMATICALLY !!! */
/***********************************************************************************************/

/* $Id: $
 * This file is part of the SPHERE Pipeline
 * Copyright (C) 2007-2010 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: $
 * $Date: $
 * $Revision: $
 * $Name: $
 */

#include "sph_error.h"
#include "sph_cube.h"
#include "sph_pixel_description_table.h"
#include "sph_ldt.h"
#include "sph_master_frame.h"
#include "sph_double_image.h"
#include "sph_triple_image.h"
#include "sph_quad_image.h"
#include "sph_zpl_exposure.h"
#include "sph_zpl_exposure_imaging.h"
#include "sph_pixel_polyfit_table.h"
#include "sph_ird_instrument_model.h"
#include "sph_fctable.h"
#include <cpl.h>

#ifndef SPH_IFS_DITHERING_EFFECTS_H_

#define SPH_IFS_DITHERING_EFFECTS_H_
#define SPH_IFS_DITHERING_EFFECTS_VERSION 1300

/*-------------------------------------------------------------------------------
 * The Structure Definition
 * 
 * This structure contains the members of the sph_ifs_dithering_effects that are 
 * needed by the various methods.
 * 
 * ------------------------------------------------------------------------------
 */

typedef struct _sph_ifs_dithering_effects_ {
    cpl_frameset*                   inframes                              ; /* The recipe input frames */

    cpl_frameset*                   current_raw_frameset                  ; /* The frameset for one product */

    cpl_parameterlist*        inparams                              ; /* The recipe input parameters */

    cpl_parameterlist*        framecomb_parameterlist               ; /* The recipe input parameters */

    const char*                     dithering_effects_filename            ; /* The parameter of ifs.dithering_effects.outfilename */

    int                             coll_alg                              ; /* The parameter of ifs.dithering_effects.coll_alg */

    int                             clean_mean_reject_high                ; /* The parameter of ifs.dithering_effects.clean_mean.reject_high */

    int                             clean_mean_reject_low                 ; /* The parameter of ifs.dithering_effects.clean_mean.reject_low */

    int                             number_lines                          ; /* The parameter of ifs.dithering_effects.number_lines */

    double                          wavelength_line1                      ; /* The parameter of ifs.dithering_effects.wavelength_line1 */

    double                          wavelength_line2                      ; /* The parameter of ifs.dithering_effects.wavelength_line2 */

    double                          wavelength_line3                      ; /* The parameter of ifs.dithering_effects.wavelength_line3 */

    double                          wavelength_line4                      ; /* The parameter of ifs.dithering_effects.wavelength_line4 */

    double                          wavelength_line5                      ; /* The parameter of ifs.dithering_effects.waveength_line5 */

    double                          line_threshold                        ; /* The parameter of ifs.dithering_effects.line_threshold */

    int                             polyfit_order                         ; /* The parameter of ifs.dithering_effects.polyfit_order */

    cpl_frameset*                   rawframes                             ; /* The IFS_DITHERING_EFFECTS_RAW frames */

    cpl_frame*                      specpos_frame                         ; /* The IFS_SPECPOS frames */

    cpl_frame*                      master_iff_frame                      ; /* The IFS_INSTRUMENT_FLAT_FIELD frames */

    cpl_frame*                      master_dark_frame                     ; /* The IFS_MASTER_DARK frames */

    cpl_frame*                      wave_calib_frame                      ; /* The IFS_WAVECALIB frames */

    cpl_vector*                     calib_wavelengths                     ; /* The calib_wavelengths data field */

} sph_ifs_dithering_effects;

/*-------------------------------------------------------------------------------
 * Error codes
 * 
 * Below the various error codes for this module are declared.
 * ------------------------------------------------------------------------------
 */

int sph_ifs_dithering_effects_create_test(cpl_plugin *);


/*-------------------------------------------------------------------------------
 * The methods
 * 
 * These are the methods for sph_ifs_dithering_effects.
 * 
 * ------------------------------------------------------------------------------
 */

sph_ifs_dithering_effects* sph_ifs_dithering_effects_new( cpl_frameset * frameset, 
                                              cpl_parameterlist * parlist);

sph_error_code  sph_ifs_dithering_effects_check_frames( sph_ifs_dithering_effects* self );

sph_error_code sph_ifs_dithering_effects_check_params( sph_ifs_dithering_effects* parlist );

cpl_error_code sph_ifs_dithering_effects_run( sph_ifs_dithering_effects* self );

sph_error_code sph_ifs_dithering_effects_delete( sph_ifs_dithering_effects* self );
cpl_parameterlist*  sph_ifs_dithering_effects_create_paramlist(void);

/* Extra function declarations that are defined in sph_ifs_dithering_effects.c */


/* End of extra function declarations that are defined in sph_ifs_dithering_effects_run.c */



#endif /*SPH_IFS_DITHERING_EFFECTS_H_*/
