/***********************************************************************************************/
/******** DANGER !! DANGER !! DANGER !! DO NOT EDIT FILE -- IT WAS GENERATED AUTOMATICALLY !!! */
/***********************************************************************************************/

/* $Id: $
 * This file is part of the SPHERE Pipeline
 * Copyright (C) 2007-2010 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: $
 * $Date: $
 * $Revision: $
 * $Name: $
 */

#include "sph_error.h"
#include "sph_cube.h"
#include "sph_pixel_description_table.h"
#include "sph_ldt.h"
#include "sph_master_frame.h"
#include "sph_double_image.h"
#include "sph_triple_image.h"
#include "sph_quad_image.h"
#include "sph_zpl_exposure.h"
#include "sph_zpl_exposure_imaging.h"
#include "sph_pixel_polyfit_table.h"
#include "sph_ird_instrument_model.h"
#include "sph_fctable.h"
#include <cpl.h>

#ifndef SPH_ZPL_BASIC_POLARIZATION_H_

#define SPH_ZPL_BASIC_POLARIZATION_H_
#define SPH_ZPL_BASIC_POLARIZATION_VERSION 1300

/*-------------------------------------------------------------------------------
 * The Structure Definition
 * 
 * This structure contains the members of the sph_zpl_basic_polarization that are 
 * needed by the various methods.
 * 
 * ------------------------------------------------------------------------------
 */

typedef struct _sph_zpl_basic_polarization_ {
    cpl_frameset*                   inframes                              ; /* The recipe input frames */

    cpl_frameset*                   current_raw_frameset                  ; /* The frameset for one product */

    cpl_parameterlist*        inparams                              ; /* The recipe input parameters */

    cpl_parameterlist*        framecomb_parameterlist               ; /* The recipe input parameters */

    const char*                     basic_polarization_outfilename        ; /* The parameter of zpl.basic_polarization.outfilename */

    short                           subtract_overscan                     ; /* The parameter of zpl.basic_polarization.subtract_overscan */

    cpl_frameset*                   rawframes                             ; /* The ZPL_BASIC_POL_PREPROC_RAW frames */

    cpl_frame*                      master_bias_frame                     ; /* The ZPL_MASTER_BIAS frames */

    cpl_frame*                      master_dark_frame                     ; /* The ZPL_MASTER_DARK frames */

    cpl_frame*                      intensity_flat_frame                  ; /* The ZPL_INT_FLAT_FIELD frames */

    cpl_frame*                      polarization_flat_frame               ; /* The ZPL_POL_FLAT_FIELD frames */

    cpl_frame*                      modem_efficiency_frame                ; /* The ZPL_MODEM_EFF frames */

    cpl_frameset*                   basic_pol_frameset                    ; /* The ZPL_BASIC_POL_CALIBRATED product */

} sph_zpl_basic_polarization;

/*-------------------------------------------------------------------------------
 * Error codes
 * 
 * Below the various error codes for this module are declared.
 * ------------------------------------------------------------------------------
 */

int sph_zpl_basic_polarization_create_test(cpl_plugin *);


/*-------------------------------------------------------------------------------
 * The methods
 * 
 * These are the methods for sph_zpl_basic_polarization.
 * 
 * ------------------------------------------------------------------------------
 */

sph_zpl_basic_polarization* sph_zpl_basic_polarization_new( cpl_frameset * frameset, 
                                              cpl_parameterlist * parlist);

sph_error_code  sph_zpl_basic_polarization_check_frames( sph_zpl_basic_polarization* self );

sph_error_code sph_zpl_basic_polarization_check_params( sph_zpl_basic_polarization* parlist );

cpl_error_code sph_zpl_basic_polarization_run( sph_zpl_basic_polarization* self );

sph_error_code sph_zpl_basic_polarization_delete( sph_zpl_basic_polarization* self );
cpl_parameterlist*  sph_zpl_basic_polarization_create_paramlist(void);

/* Extra function declarations that are defined in sph_zpl_basic_polarization.c */


/* End of extra function declarations that are defined in sph_zpl_basic_polarization_run.c */



#endif /*SPH_ZPL_BASIC_POLARIZATION_H_*/
