#ifndef SPH_UTILS_H_
#define SPH_UTILS_H_

#include <cpl.h>
#include "sph_error.h"
#include "sph_double_image.h"
sph_error_code
sph_init(void);
sph_error_code
sph_init_erex(void);

sph_error_code
sph_init_debug(void);
sph_error_code sph_init_test(const char* filename, const char* report, cpl_msg_severity lvl);

sph_error_code
sph_init_debug_verbose(void);

sph_error_code
sph_end(void);
sph_error_code
sph_end_erex(void);
sph_error_code
sph_end_test(void);

const char* sph_get_license( void );

cpl_frameset*
sph_utils_extract_frames( cpl_frameset* frameset, const char* tag );

cpl_propertylist*
sph_utils_create_calib_propertylist( void );

cpl_frame*
sph_utils_create_calib_frame( const char* outframename, cpl_frame_type frametype,
                              cpl_frame_level framelevel, cpl_frameset* inframes,
                              const cpl_parameterlist* parlist, const char* prod_tag,
                              const char* recid, const char* pipelineid, cpl_frame* inherit_frame );
int
sph_utils_get_dit_id( const cpl_frame* inframe, const cpl_frame* dit_list );

sph_error_code
sph_utils_update_key_vector( cpl_propertylist* p,
        const char* name,
        cpl_vector* values );

cpl_frame*
sph_utils_create_default_dit_list( const char* fname );

cpl_frame*
sph_utils_extract_frame( cpl_frameset* frameset, const char* tag );

cpl_frameset*
sph_utils_create_master_frameset( cpl_frameset* inframes );

double
sph_utils_get_exposure_time( const cpl_frame* inframe );

int
sph_utils_check_exposure_times_are_same( const cpl_frameset* inframes );

sph_error_code
sph_utils_update_key( cpl_propertylist* p, const char* name,  cpl_type type, int i, int j, double value );


cpl_frameset*
sph_utils_extract_frames_group( cpl_frameset* frameset, cpl_frame_group group );


int
sph_utils_get_dither_id( const cpl_frame* inframe, float res, const char* keyx, const char* keyy );

int
sph_utils_get_dit_id_from_cpl_table( const cpl_frame* inframe, const cpl_table* dit_table );


void sph_utils_lowercase( char string[] );

void sph_utils_uppercase( char string[] );

char * sph_utils_strdup ( const char* str);

sph_error_code

sph_utils_append_frames( cpl_frameset* frameset, const cpl_frameset* appendframes );

sph_error_code sph_utils_copy_frames( const cpl_frameset* inframes, cpl_frameset* framesout );

sph_error_code
sph_utils_attach_plist( cpl_propertylist* plist, cpl_frame* frame, int ext );

sph_error_code
sph_utils_cpl_image_fill_double( cpl_image* image, double value );
#endif /*SPH_UTILS_H_*/
